
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #165

Make 'x' keybinding restart playback from beginning of song

August 13, 2012 10:37 - Dusan Zahumensky

Status: Closed Start date: August 13, 2012

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: core Estimated time: 0.00 hour

Target version: 3.3.2   

Affects version: 3.3.1   

Description

Hi, could you modify this function for X key on keyboard during playback or is it possible to change it by me? When I am listening a

music and I press X then nothing happen. So could include a function to start the same song again from the beginning when I press

X during playing a song? Sometimes I used it in winamp and it is very useful.

Thanks.

Dusan

History

#1 - August 13, 2012 13:44 - Thomas Lange

You can change this with the "Global Hotkeys" plugin.

#2 - August 14, 2012 02:25 - John Lindgren

Thomas Lange wrote:

You can change this with the "Global Hotkeys" plugin.

 

No, that would be a bad idea.  Then you would not be able to type 'x' in any program.

#3 - August 14, 2012 02:26 - John Lindgren

- Subject changed from New option when I press X key on keyboard... to Make 'x' keybinding restart playback from beginning of song

#4 - August 30, 2012 01:41 - John Lindgren

- Category set to core

- Status changed from New to Closed

- % Done changed from 0 to 100

This feature "fell through the cracks" when I was implementing the playlist resume feature for 3.3, but it should work again now:

https://github.com/audacious-media-player/audacious/commit/fc5eda19934d5f6e68ac46fe1d7cd1f65c96092e
